%global momorel 11
Name: 		gnome-system-tools
Summary:	GNOME System Tools
Version: 2.14.0
Release: %{momorel}m%{?dist}
License: 	LGPL
Group: 		Applications/System
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.14/%{name}-%{version}.tar.bz2
NoSource: 0
SOURCE1: momonga.png
Patch1:		gnome-system-tools-1.0.2-momonga.patch
Patch2: gnome-system-tools-1.4.1-momonga.patch
Patch3: gnome-system-tools-2.14.0-configure.patch
Patch4: gnome-system-tools-2.14.0-no_doc.patch
Patch5: gnome-system-tools-2.14.0-gnome-vfs.patch
Patch6: gnome-system-tools-2.14.0-nautils.patch

BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: 		http://www.gnome.org/projects/gst/
BuildPrereq: system-tools-backends >= 1.4.2
BuildPrereq: gtk2-devel >= 2.8.17
BuildPrereq: libglade-devel >= 2.5.1
BuildPrereq: libgnomeui-devel >= 2.14.0
BuildPrereq: GConf2-devel >= 2.13.5
BuildPrereq: libxml2-devel >= 2.6.23
BuildPrereq: nautilus-devel >= 2.14.0
BuildPrereq: vte >= 0.12.0
BuildPrereq: desktop-file-utils >= 0.10
BuildPrereq: gnome-vfs2-devel >= 2.22.0
Prereq:	GConf
Requires: system-tools-backends

%description
Day-to-day system management on Unix systems is a chore. Even when
you're using a friendly graphical desktop, seemingly basic tasks like
setting the system time, changing the network setup, importing and
exporting network shared filesystems and configuring swap partitions
requires editing configuration files by hand, and the exact procedure
varies between different operating systems and distributions.
#'

The GNOME System Tools solve all these problems, giving you a simple
graphical interface for each task, which uses an advanced backend to
edit all the relevant files and apply your changes. The interface
looks and acts in exactly the same way regardless of what platform
you're using.
#'

%prep
%setup -q
%patch2 -p1 -b .momonga
cp %{SOURCE1} ./pixmaps/
%patch3 -p1
%patch4 -p1 -b .no_doc
%patch5 -p1 -b .gnome-vfs
%patch6 -p1 -b .nautilus

%build
autoreconf -v
intltoolize --force
%configure \
    --enable-boot \
    --enable-disks \
    --disable-schemas-install \
    --enable-static=no
%make

%install
rm -rf --preserve-root %{buildroot}
%make DESTDIR=%{buildroot} install

rm -rf --preserve-root %{buildroot}/var/lib/scrollkeeper
rm -rf --preserve-root %{buildroot}/var/scrollkeeper

find %{buildroot} -name "*.la" -delete

# install desktop file (revise boot.desktop)
desktop-file-install --vendor="" --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --add-only-show-in GNOME \
    --remove-category Application \
  %{buildroot}%{_datadir}/applications/boot.desktop

# install desktop file (revise disks.desktop)
desktop-file-install --vendor="" --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --add-only-show-in GNOME \
    --remove-category Application \
  %{buildroot}%{_datadir}/applications/disks.desktop

# install desktop file (revise network.desktop)
desktop-file-install --vendor="" --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --add-only-show-in GNOME \
    --remove-category Application \
  %{buildroot}%{_datadir}/applications/network.desktop

# install desktop file (revise services.desktop)
desktop-file-install --vendor="" --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --add-only-show-in GNOME \
    --remove-category Application \
  %{buildroot}%{_datadir}/applications/services.desktop

# install desktop file (revise shares.desktop)
desktop-file-install --vendor="" --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --add-only-show-in GNOME \
    --remove-category Application \
  %{buildroot}%{_datadir}/applications/shares.desktop

# install desktop file (revise time.desktop)
desktop-file-install --vendor="" --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --add-only-show-in GNOME \
    --remove-category Application \
  %{buildroot}%{_datadir}/applications/time.desktop

# install desktop file (revise users.desktop)
desktop-file-install --vendor="" --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --add-only-show-in GNOME \
    --remove-category Application \
  %{buildroot}%{_datadir}/applications/users.desktop

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnome-system-tools.schemas > /dev/null

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnome-system-tools.schemas > /dev/null
fi

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING HACKING NEWS ChangeLog BUGS TODO
%{_sysconfdir}/gconf/schemas/gnome-system-tools.schemas
%{_bindir}/*-admin
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gnome-system-tools
%{_datadir}/locale/*/*/*.mo
%{_datadir}/applications/*.desktop
%{_libdir}/nautilus/extensions-2.0/*.so

%changelog
* Mon Jul 28 2008 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.14.0-11m)
- change %%preun script

* Sat May 10 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.0-10m)
- enable nautilus-extension

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.14.0-9m)
- rebuild against gcc43

* Wed Mar 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.0-8m)
- add patch5 for GNOME 2.22 (gnome-vfs2-2.22.0)

* Tue Mar  6 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.0-7m)
- add patch4 for GNOME 2.18 (Good-bye documents)

* Mon Sep 18 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.0-6m)
- add Requires: system-tools-backends

* Sat Sep 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.0-5m)
- remove category Application

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.0-4m)
- delete libtool library

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.14.0-3m)
- rebuild against expat-2.0.0-1m

* Sun Jun  4 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.0-2m)
- revise configure.in (patch3)

* Mon Apr 10 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.0-1m)
- update to 2.14.0

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.4.1-3m)
- rebuild against openssl-0.9.8a

* Fri Feb 10 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.1-2m)
- add patch gnome-system-tools-1.4.1-momonga.patch

* Sun Dec  4 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.1-1m)
- update to 1.4.1
- GNOME 2.12.2 Desktop

* Thu Nov 24 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.0-2m)
- revise desktop files (for KDE)

* Mon Nov 21 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.0-1m)
- version up
- GNOME 2.12.1 Desktop

* Thu Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0.2-1m)
- version 1.0.2
- GNOME 2.8 Desktop

* Wed Jul 07 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.34.0-1m)
- update to 0.34.0

* Thu Dec 18 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (0.30.0-1m)
- version 0.30.0

* Tue Oct 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.28.0-1m)
- version 0.28.0

* Thu Jun 24 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (0.26.1-2m)
- add BuildPrereq: vte >= 0.10.19
- modify %doc directory

* Mon Jun 02 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.26.1-1m)
- version 0.26.1

* Mon May 26 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.26.0-1m)
- version 0.26.0

* Thu May 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.25.0-1m)
- version 0.25.0

* Mon Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.24.0-2m)
- rebuild against for XFree86-4.3.0

* Mon Mar 17 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.24.0-1m)
- version 0.24.0

* Fri Mar  7 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.23.0-2m)
  rebuild against openssl 0.9.7a

* Mon Feb 24 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.23.0-1m)
- version 0.23.0

* Wed Dec 04 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.22.0-1m)
- version 0.22.0

* Wed Sep 18 2002 Motonobu Ichimura <famao@momonga-linux.org>
- (0.21.0-2m)
- fix defattr
- Copyright -> License

* Wed Sep 11 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.21.0-1m)
- version 0.21.0

* Wed Sep  4 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.20.0-1m)
- import
